# Release Notes

Version 3 of the Travel Partner API gives you programmatic access to:

- Management of account links between Hotel Center and Google Ads
- Management of selected hotel settings
- Management of brands and icons (closed beta)
- Property performance data via the Property Performance Report Views Service
- Hotel data via the Hotel Views Service
- Participation report data via the Participation Report Views Service
- Price accuracy data via the Price Accuracy Views Service
- Price coverage data via the Price Coverage Views Service
- Itinerary and pricing data via the Price Views Service
- Management of commissions reconciliation reports via the Reconciliation Reports Service (commission pay-per-stay partners only)

## Endpoints

The Travel Partner API endpoints are accessible through REST-ful syntax from HTTPS calls. The base URL for all requests is:

```
https://travelpartner.googleapis.com
```

<br />

| Service endpoints ||
|---|---|
| [Account Links](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.accountLinks) | Manages links between a Google Ads account and a Hotel Center account. *** ** * ** *** <br /> ` POST /v3/accounts/account id/accountLinks DELETE /v3/accounts/account id/accountLinks/account link id GET /v3/accounts/account id/accountLinks/account link id GET /v3/accounts/account id/accountLinks PATCH /v3/accounts/account id/accountLinks/account link id ` <br /> |
| [Brands](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.brands) | Modify Brand configuration. (closed beta) *** ** * ** *** <br /> ` POST /v3/accounts/account id/brands GET /v3/accounts/account id/brands PATCH /v3/accounts/account id/brands/brand id ` <br /> |
| [Hotels](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotels) | Modify selected hotel settings. *** ** * ** *** <br /> ` POST /v3/accounts/account id/hotels:setLiveOnGoogle ` <br /> |
| [Hotel Views](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews) | Returns the list of hotel views or a summary. *** ** * ** *** <br /> ` GET /v3/accounts/account id/hotelViews GET /v3/accounts/account id/hotelViews:summarize ` <br /> |
| [Icons](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons) | Manage icons. (closed beta) *** ** * ** *** <br /> ` POST /v3/accounts/account id/icons GET /v3/accounts/account id/icons/icon id ` <br /> |
| [Participation Report Views](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.participationReportViews) | Returns a participation report view or, by using a query, returns a filtered subset of the view's data. *** ** * ** *** <br /> ` GET /v3/accounts/account id/participationReportViews GET /v3/accounts/account id/participationReportViews:query ` <br /> |
| [Price Accuracy Views](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceAccuracyViews) | Returns a particular price accuracy view, available accuracy views, or a summary. *** ** * ** *** <br /> ` GET /v3/accounts/account id/priceAccuracyViews/report date GET /v3/accounts/account id/priceAccuracyViews GET /v3/accounts/account id/priceAccuracyViews:summarize ` <br /> |
| [Price Coverage Views](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceCoverageViews) | Returns the latest price coverage view or the entire coverage history. *** ** * ** *** <br /> ` GET /v3/accounts/account id/priceCoverageViews:latest GET /v3/accounts/account id/priceCoverageViews ` <br /> |
| [Price Views](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.priceViews) | Returns the requested price view in full detail. *** ** * ** *** <br /> ` GET /v3/accounts/account id/priceViews/partner hotel id ` <br /> |
| [Property Performance Report Views](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.propertyPerformanceReportViews) | Returns a property performance report view using a query. *** ** * ** *** <br /> ` GET /v3/accounts/account id/participationReportViews:query ` <br /> |
| [Reconciliation Reports](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.reconciliationReports) | Creates, validates, and retrieves commissions reconciliation reports (Hotel Ads only). *** ** * ** *** <br /> ` POST /v3/accounts/account id/reconciliationReports POST /v3/accounts/account id/reconciliationReports:validate GET /v3/accounts/account id/reconciliationReports/datetime~filename GET /v3/accounts/account id/reconciliationReports ` <br /> |

<br />

You can look up your account ID under the **Account Info** view of the **Account** tab in the [Hotel Ads Center](https://partnerdash.google.com/hotelads).

## Changelog

Many services in Travel Partner API v2.1 have been migrated to [Google Ads API](https://developers.google.com/google-ads/api/docs/hotel-prices/overview). As a result, Travel Partner API v3 retains only hotel specific services.

### HotelViewService

- `HotelViewService.ListHotelViews` (formerly Hotels API)
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/hotels` to `https://travelpartner.googleapis.com/v3/accounts/4200042/hotelViews`.
  - Removed the `type` request parameter.
  - Removed the field `manifestOnly` in the response.
  - Some fields have been renamed.
- `HotelViewService.SummarizeHotelViews` (formerly `hotel_list_stats` in Scorecard API)
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/scorecard/hotel_list_stats` to `https://travelpartner.googleapis.com/v3/accounts/4200042/hotelViews:summarize`.
  - Some fields have been renamed.

### ParticipationReportViewService (formerly opportunity_stats in Scorecard API)

- `ParticipationReportService.QueryParticipationReport`
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/scorecard/opportunity_stats` to `https://travelpartner.googleapis.com/v3/accounts/4200042/participationReportViews:query`.
  - Query parameters have been added.
  - Fields have been renamed and restructured.

### PriceAccuracyViewService (formerly price_accuracy report API)

- `PriceAccuracyViewService.ListPriceAccuracyViews`
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/reports/price_accuracy` to `https://travelpartner.googleapis.com/v3/accounts/4200042/priceAccuracyViews`.
  - The new API returns a list of hotel view resource names as opposed to the previous version, which returns a list of report dates.
- `PriceAccuracyViewService.ListPriceAccuracyViews`
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/reports/price_accuracy/20190909` to `https://travelpartner.googleapis.com/v3/accounts/4200042/priceAccuracyViews/20190909`.
  - CSV output is no longer supported.
  - Some fields have been renamed.

### PriceCoverageViewService

- `PriceAccuracyViewService.ListPriceCoverageViews` (formerly `price_coverage_stats_history` in Scorecard API)
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/scorecard/price_coverage_stats_history` to `https://travelpartner.googleapis.com/v3/accounts/4200042/priceCoverageViews`.
  - Some fields have been renamed.
- `PriceAccuracyViewService.GetLatestPriceCoverageViews` (formerly `price_coverage_stats` in Scorecard API)
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/scorecard/price_coverage_stats` to `https://travelpartner.googleapis.com/v3/accounts/4200042/priceCoverageViews:latest`.
  - Some fields have been renamed.

### PriceViewService (formerly Prices API)

- `PriceViewService.GetPriceView`
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/prices/hotel_id` to `https://travelpartner.googleapis.com/v3/accounts/4200042/priceViews/hotel_id`.
  - Some fields have been renamed.
  - Removed bids information from the response.

### ReconciliationReportService methods (formerly Reconciliation Reports API)

- `ReconciliationReportService.ListReconciliationReports`
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/reconciliation_reports` to `https://travelpartner.googleapis.com/v3/accounts/4200042/reconciliationReports`.
- `ReconciliationReportService.GetReconciliationReport`
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/reconciliation_reports/datetime/filename` to `https://travelpartner.googleapis.com/v3/accounts/4200042/reconciliationReports/datetime~filename`.
- `ReconciliationReportService.CreateReconciliationReport`
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/reconciliation_reports` to `https://travelpartner.googleapis.com/v3/accounts/4200042/reconciliationReports`.
- `ReconciliationReportService.ValidateReconciliationReport`
  - API endpoint has changed from `https://www.googleapis.com/travelpartner/v2.1/4200042/reconciliation_reports/validate` to `https://travelpartner.googleapis.com/v3/accounts/4200042/reconciliationReports:validate`.

## Deprecation

*Deprecated*
:   indicates that the version of the API will continue to function as expected, but may not be updated with new features or bug fixes. In addition, when a version is deprecated, a sunset date is determined.

*Sunsetted*
:   indicates that the version of the API is removed and is no longer available. The minimum amount of time between deprecation and sunsetting is 3 months.

The following table shows the current schedule of API versions, as well as expected deprecation and sunset dates:

| Version | Deprecation Date | Sunset Date |
|---|---|---|
| v3.0 | N/A | N/A |
| v2.1 | September 2019 | May 31, 2020 |
| v2.0 (Bids API) | February 2018 | May 2018 |
| v2.0 (all other APIs) | September 2019 | February 15, 2020 |
| v1.2 | February 2018 | May 2018 |
| v1.1 | June 2016 | October 2016 |
| v1.0 | April 2015 | October 2015 |

## Authentication

To access the Travel Partner API, clients must authenticate using [OAuth2 authentication](https://developers.google.com/identity/protocols/OAuth2).

For an example application and additional information about using OAuth to connect to the Travel Partner API, refer to [API Authentication](https://developers.google.com/hotels/hotel-prices/dev-guide/api-auth).